diff --git a/dirsrvtests/tests/suites/acl/acl_test.py b/dirsrvtests/tests/suites/acl/acl_test.py
index f42a584..89ca14b 100644
--- a/dirsrvtests/tests/suites/acl/acl_test.py
+++ b/dirsrvtests/tests/suites/acl/acl_test.py
@@ -541,83 +415,85 @@ def test_moddn_staging_prod_9(topology, moddn_setup):
     # Try to rename without the apropriate ACI  => INSUFFICIENT_ACCESS
     #
     try:
-        topology.master1.log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
-        topology.master1.rename_s(old_dn, new_rdn, newsuperior=new_superior)
+        topology_m2.ms["master1"].log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
+        topology_m2.ms["master1"].rename_s(old_dn, new_rdn, newsuperior=new_superior)
         assert 0
     except AssertionError:
-        topology.master1.log.info("Exception (not really expected exception but that is fine as it fails to rename)")
+        topology_m2.ms["master1"].log.info(
+            "Exception (not really expected exception but that is fine as it fails to rename)")
     except Exception as e:
-        topology.master1.log.info("Exception (expected): %s" % type(e).__name__)
+        topology_m2.ms["master1"].log.info("Exception (expected): %s" % type(e).__name__)
         assert isinstance(e, ldap.INSUFFICIENT_ACCESS)
 
     #############
     # Now do tests with no support of moddn aci
     #############
-    topology.master1.log.info("Disable the moddn right")
-    _bind_manager(topology)
+    topology_m2.ms["master1"].log.info("Disable the moddn right")
+    _bind_manager(topology_m2)
     mod = [(ldap.MOD_REPLACE, CONFIG_MODDN_ACI_ATTR, 'off')]
-    topology.master1.modify_s(DN_CONFIG, mod)
+    topology_m2.ms["master1"].modify_s(DN_CONFIG, mod)
 
     # Add the moddn aci that will not be evaluated because of the config flag
-    topology.master1.log.info("\n\n######## MOVE to and from equality filter ########\n")
-    _bind_manager(topology)
-    _moddn_aci_staging_to_production(topology, mod_type=ldap.MOD_ADD,
+    topology_m2.ms["master1"].log.info("\n\n######## MOVE to and from equality filter ########\n")
+    _bind_manager(topology_m2)
+    _moddn_aci_staging_to_production(topology_m2, mod_type=ldap.MOD_ADD,
                                      target_from=STAGING_DN, target_to=PRODUCTION_DN)
-    _bind_normal(topology)
+    _bind_normal(topology_m2)
 
     # It will fail because it will test the ADD right
     try:
-        topology.master1.log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
-        topology.master1.rename_s(old_dn, new_rdn, newsuperior=new_superior)
+        topology_m2.ms["master1"].log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
+        topology_m2.ms["master1"].rename_s(old_dn, new_rdn, newsuperior=new_superior)
         assert 0
     except AssertionError:
-        topology.master1.log.info("Exception (not really expected exception but that is fine as it fails to rename)")
+        topology_m2.ms["master1"].log.info(
+            "Exception (not really expected exception but that is fine as it fails to rename)")
     except Exception as e:
-        topology.master1.log.info("Exception (expected): %s" % type(e).__name__)
+        topology_m2.ms["master1"].log.info("Exception (expected): %s" % type(e).__name__)
         assert isinstance(e, ldap.INSUFFICIENT_ACCESS)
 
     # remove the moddn aci
-    _bind_manager(topology)
-    _moddn_aci_staging_to_production(topology, mod_type=ldap.MOD_DELETE,
+    _bind_manager(topology_m2)
+    _moddn_aci_staging_to_production(topology_m2, mod_type=ldap.MOD_DELETE,
                                      target_from=STAGING_DN, target_to=PRODUCTION_DN)
-    _bind_normal(topology)
+    _bind_normal(topology_m2)
 
     #
     # add the 'add' right to the production DN
     # Then do a successfull moddn
     #
-    ACI_ALLOW        = "(version 3.0; acl \"ADD rights to allow moddn\"; allow (add)"
-    ACI_SUBJECT      = " userdn = \"ldap:///%s\";)" % BIND_DN
-    ACI_BODY         = ACI_ALLOW + ACI_SUBJECT
+    ACI_ALLOW = "(version 3.0; acl \"ADD rights to allow moddn\"; allow (add)"
+    ACI_SUBJECT = " userdn = \"ldap:///%s\";)" % BIND_DN
+    ACI_BODY = ACI_ALLOW + ACI_SUBJECT
 
-    _bind_manager(topology)
+    _bind_manager(topology_m2)
     mod = [(ldap.MOD_ADD, 'aci', ACI_BODY)]
-    topology.master1.modify_s(PRODUCTION_DN, mod)
-    _write_aci_staging(topology, mod_type=ldap.MOD_ADD)
-    _bind_normal(topology)
+    topology_m2.ms["master1"].modify_s(PRODUCTION_DN, mod)
+    _write_aci_staging(topology_m2, mod_type=ldap.MOD_ADD)
+    _bind_normal(topology_m2)
 
-    topology.master1.log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
-    topology.master1.rename_s(old_dn, new_rdn, newsuperior=new_superior)
+    topology_m2.ms["master1"].log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
+    topology_m2.ms["master1"].rename_s(old_dn, new_rdn, newsuperior=new_superior)
 
-    _bind_manager(topology)
+    _bind_manager(topology_m2)
     mod = [(ldap.MOD_DELETE, 'aci', ACI_BODY)]
-    topology.master1.modify_s(PRODUCTION_DN, mod)
-    _write_aci_staging(topology, mod_type=ldap.MOD_DELETE)
-    _bind_normal(topology)
+    topology_m2.ms["master1"].modify_s(PRODUCTION_DN, mod)
+    _write_aci_staging(topology_m2, mod_type=ldap.MOD_DELETE)
+    _bind_normal(topology_m2)
 
     #############
     # Now do tests with support of moddn aci
     #############
-    topology.master1.log.info("Enable the moddn right")
-    _bind_manager(topology)
+    topology_m2.ms["master1"].log.info("Enable the moddn right")
+    _bind_manager(topology_m2)
     mod = [(ldap.MOD_REPLACE, CONFIG_MODDN_ACI_ATTR, 'on')]
-    topology.master1.modify_s(DN_CONFIG, mod)
+    topology_m2.ms["master1"].modify_s(DN_CONFIG, mod)
 
-    topology.master1.log.info("\n\n######## MOVE staging -> Prod (10) ########\n")
+    topology_m2.ms["master1"].log.info("\n\n######## MOVE staging -> Prod (10) ########\n")
 
-    _bind_normal(topology)
+    _bind_normal(topology_m2)
     old_rdn = "cn=%s10" % NEW_ACCOUNT
-    old_dn  = "%s,%s" % (old_rdn, STAGING_DN)
+    old_dn = "%s,%s" % (old_rdn, STAGING_DN)
     new_rdn = old_rdn
     new_superior = PRODUCTION_DN
 
@@ -625,73 +501,75 @@ def test_moddn_staging_prod_9(topology, moddn_setup):
     # Try to rename without the apropriate ACI  => INSUFFICIENT_ACCESS
     #
     try:
-        topology.master1.log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
-        topology.master1.rename_s(old_dn, new_rdn, newsuperior=new_superior)
+        topology_m2.ms["master1"].log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
+        topology_m2.ms["master1"].rename_s(old_dn, new_rdn, newsuperior=new_superior)
         assert 0
     except AssertionError:
-        topology.master1.log.info("Exception (not really expected exception but that is fine as it fails to rename)")
+        topology_m2.ms["master1"].log.info(
+            "Exception (not really expected exception but that is fine as it fails to rename)")
     except Exception as e:
-        topology.master1.log.info("Exception (expected): %s" % type(e).__name__)
+        topology_m2.ms["master1"].log.info("Exception (expected): %s" % type(e).__name__)
         assert isinstance(e, ldap.INSUFFICIENT_ACCESS)
 
     #
     # add the 'add' right to the production DN
     # Then do a failing moddn
     #
-    ACI_ALLOW        = "(version 3.0; acl \"ADD rights to allow moddn\"; allow (add)"
-    ACI_SUBJECT      = " userdn = \"ldap:///%s\";)" % BIND_DN
-    ACI_BODY         = ACI_ALLOW + ACI_SUBJECT
+    ACI_ALLOW = "(version 3.0; acl \"ADD rights to allow moddn\"; allow (add)"
+    ACI_SUBJECT = " userdn = \"ldap:///%s\";)" % BIND_DN
+    ACI_BODY = ACI_ALLOW + ACI_SUBJECT
 
-    _bind_manager(topology)
+    _bind_manager(topology_m2)
     mod = [(ldap.MOD_ADD, 'aci', ACI_BODY)]
-    topology.master1.modify_s(PRODUCTION_DN, mod)
-    _write_aci_staging(topology, mod_type=ldap.MOD_ADD)
-    _bind_normal(topology)
+    topology_m2.ms["master1"].modify_s(PRODUCTION_DN, mod)
+    _write_aci_staging(topology_m2, mod_type=ldap.MOD_ADD)
+    _bind_normal(topology_m2)
 
     try:
-        topology.master1.log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
-        topology.master1.rename_s(old_dn, new_rdn, newsuperior=new_superior)
+        topology_m2.ms["master1"].log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
+        topology_m2.ms["master1"].rename_s(old_dn, new_rdn, newsuperior=new_superior)
         assert 0
     except AssertionError:
-        topology.master1.log.info("Exception (not really expected exception but that is fine as it fails to rename)")
+        topology_m2.ms["master1"].log.info(
+            "Exception (not really expected exception but that is fine as it fails to rename)")
     except Exception as e:
-        topology.master1.log.info("Exception (expected): %s" % type(e).__name__)
+        topology_m2.ms["master1"].log.info("Exception (expected): %s" % type(e).__name__)
         assert isinstance(e, ldap.INSUFFICIENT_ACCESS)
 
-    _bind_manager(topology)
+    _bind_manager(topology_m2)
     mod = [(ldap.MOD_DELETE, 'aci', ACI_BODY)]
-    topology.master1.modify_s(PRODUCTION_DN, mod)
-    _write_aci_staging(topology, mod_type=ldap.MOD_DELETE)
-    _bind_normal(topology)
+    topology_m2.ms["master1"].modify_s(PRODUCTION_DN, mod)
+    _write_aci_staging(topology_m2, mod_type=ldap.MOD_DELETE)
+    _bind_normal(topology_m2)
 
     # Add the moddn aci that will be evaluated because of the config flag
-    topology.master1.log.info("\n\n######## MOVE to and from equality filter ########\n")
-    _bind_manager(topology)
-    _moddn_aci_staging_to_production(topology, mod_type=ldap.MOD_ADD,
+    topology_m2.ms["master1"].log.info("\n\n######## MOVE to and from equality filter ########\n")
+    _bind_manager(topology_m2)
+    _moddn_aci_staging_to_production(topology_m2, mod_type=ldap.MOD_ADD,
                                      target_from=STAGING_DN, target_to=PRODUCTION_DN)
-    _bind_normal(topology)
+    _bind_normal(topology_m2)
 
-    topology.master1.log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
-    topology.master1.rename_s(old_dn, new_rdn, newsuperior=new_superior)
+    topology_m2.ms["master1"].log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
+    topology_m2.ms["master1"].rename_s(old_dn, new_rdn, newsuperior=new_superior)
 
     # remove the moddn aci
-    _bind_manager(topology)
-    _moddn_aci_staging_to_production(topology, mod_type=ldap.MOD_DELETE,
+    _bind_manager(topology_m2)
+    _moddn_aci_staging_to_production(topology_m2, mod_type=ldap.MOD_DELETE,
                                      target_from=STAGING_DN, target_to=PRODUCTION_DN)
-    _bind_normal(topology)
+    _bind_normal(topology_m2)
 
 
-def test_moddn_prod_staging(topology, moddn_setup):
+def test_moddn_prod_staging(topology_m2, moddn_setup):
     """This test checks that we can move ACCOUNT11 from staging to prod
     but not move back ACCOUNT11 from prod to staging
     """
 
-    topology.master1.log.info("\n\n######## MOVE staging -> Prod (11) ########\n")
+    topology_m2.ms["master1"].log.info("\n\n######## MOVE staging -> Prod (11) ########\n")
 
-    _bind_normal(topology)
+    _bind_normal(topology_m2)
 
     old_rdn = "cn=%s11" % NEW_ACCOUNT
-    old_dn  = "%s,%s" % (old_rdn, STAGING_DN)
+    old_dn = "%s,%s" % (old_rdn, STAGING_DN)
     new_rdn = old_rdn
     new_superior = PRODUCTION_DN
 
@@ -699,71 +577,73 @@ def test_moddn_prod_staging(topology, moddn_setup):
     # Try to rename without the apropriate ACI  => INSUFFICIENT_ACCESS
     #
     try:
-        topology.master1.log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
-        topology.master1.rename_s(old_dn, new_rdn, newsuperior=new_superior)
+        topology_m2.ms["master1"].log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
+        topology_m2.ms["master1"].rename_s(old_dn, new_rdn, newsuperior=new_superior)
         assert 0
     except AssertionError:
-        topology.master1.log.info("Exception (not really expected exception but that is fine as it fails to rename)")
+        topology_m2.ms["master1"].log.info(
+            "Exception (not really expected exception but that is fine as it fails to rename)")
     except Exception as e:
-        topology.master1.log.info("Exception (expected): %s" % type(e).__name__)
+        topology_m2.ms["master1"].log.info("Exception (expected): %s" % type(e).__name__)
         assert isinstance(e, ldap.INSUFFICIENT_ACCESS)
 
     # successfull MOD with the ACI
-    topology.master1.log.info("\n\n######## MOVE to and from equality filter ########\n")
-    _bind_manager(topology)
-    _moddn_aci_staging_to_production(topology, mod_type=ldap.MOD_ADD,
+    topology_m2.ms["master1"].log.info("\n\n######## MOVE to and from equality filter ########\n")
+    _bind_manager(topology_m2)
+    _moddn_aci_staging_to_production(topology_m2, mod_type=ldap.MOD_ADD,
                                      target_from=STAGING_DN, target_to=PRODUCTION_DN)
-    _bind_normal(topology)
+    _bind_normal(topology_m2)
 
-    topology.master1.log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
-    topology.master1.rename_s(old_dn, new_rdn, newsuperior=new_superior)
+    topology_m2.ms["master1"].log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
+    topology_m2.ms["master1"].rename_s(old_dn, new_rdn, newsuperior=new_superior)
 
     # Now check we can not move back the entry to staging
     old_rdn = "cn=%s11" % NEW_ACCOUNT
-    old_dn  = "%s,%s" % (old_rdn, PRODUCTION_DN)
+    old_dn = "%s,%s" % (old_rdn, PRODUCTION_DN)
     new_rdn = old_rdn
     new_superior = STAGING_DN
 
     # add the write right because we want to check the moddn
-    _bind_manager(topology)
-    _write_aci_production(topology, mod_type=ldap.MOD_ADD)
-    _bind_normal(topology)
+    _bind_manager(topology_m2)
+    _write_aci_production(topology_m2, mod_type=ldap.MOD_ADD)
+    _bind_normal(topology_m2)
 
     try:
-        topology.master1.log.info("Try to move back MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
-        topology.master1.rename_s(old_dn, new_rdn, newsuperior=new_superior)
+        topology_m2.ms["master1"].log.info("Try to move back MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
+        topology_m2.ms["master1"].rename_s(old_dn, new_rdn, newsuperior=new_superior)
         assert 0
     except AssertionError:
-        topology.master1.log.info("Exception (not really expected exception but that is fine as it fails to rename)")
+        topology_m2.ms["master1"].log.info(
+            "Exception (not really expected exception but that is fine as it fails to rename)")
     except Exception as e:
-        topology.master1.log.info("Exception (expected): %s" % type(e).__name__)
+        topology_m2.ms["master1"].log.info("Exception (expected): %s" % type(e).__name__)
         assert isinstance(e, ldap.INSUFFICIENT_ACCESS)
 
-    _bind_manager(topology)
-    _write_aci_production(topology, mod_type=ldap.MOD_DELETE)
-    _bind_normal(topology)
+    _bind_manager(topology_m2)
+    _write_aci_production(topology_m2, mod_type=ldap.MOD_DELETE)
+    _bind_normal(topology_m2)
 
     # successfull MOD with the both ACI
-    _bind_manager(topology)
-    _moddn_aci_staging_to_production(topology, mod_type=ldap.MOD_DELETE,
+    _bind_manager(topology_m2)
+    _moddn_aci_staging_to_production(topology_m2, mod_type=ldap.MOD_DELETE,
                                      target_from=STAGING_DN, target_to=PRODUCTION_DN)
-    _bind_normal(topology)
+    _bind_normal(topology_m2)
 
 
-def test_check_repl_M2_to_M1(topology, moddn_setup):
+def test_check_repl_M2_to_M1(topology_m2, moddn_setup):
     """Checks that replication is still working M2->M1, using ACCOUNT12"""
 
-    topology.master1.log.info("Bind as %s (M2)" % DN_DM)
-    topology.master2.simple_bind_s(DN_DM, PASSWORD)
+    topology_m2.ms["master1"].log.info("Bind as %s (M2)" % DN_DM)
+    topology_m2.ms["master2"].simple_bind_s(DN_DM, PASSWORD)
 
     rdn = "cn=%s12" % NEW_ACCOUNT
-    dn  = "%s,%s" % (rdn, STAGING_DN)
+    dn = "%s,%s" % (rdn, STAGING_DN)
 
     # First wait for the ACCOUNT19 entry being replicated on M2
     loop = 0
     while loop <= 10:
         try:
-            ent = topology.master2.getEntry(dn, ldap.SCOPE_BASE, "(objectclass=*)")
+            ent = topology_m2.ms["master2"].getEntry(dn, ldap.SCOPE_BASE, "(objectclass=*)")
             break
         except ldap.NO_SUCH_OBJECT:
             time.sleep(1)
@@ -773,12 +653,12 @@ def test_check_repl_M2_to_M1(topology, moddn_setup):
     attribute = 'description'
     tested_value = 'Hello world'
     mod = [(ldap.MOD_ADD, attribute, tested_value)]
-    topology.master1.log.info("Update (M2) %s (%s)" % (dn, attribute))
-    topology.master2.modify_s(dn, mod)
+    topology_m2.ms["master1"].log.info("Update (M2) %s (%s)" % (dn, attribute))
+    topology_m2.ms["master2"].modify_s(dn, mod)
 
     loop = 0
     while loop <= 10:
-        ent = topology.master1.getEntry(dn, ldap.SCOPE_BASE, "(objectclass=*)")
+        ent = topology_m2.ms["master1"].getEntry(dn, ldap.SCOPE_BASE, "(objectclass=*)")
         assert ent is not None
         if ent.hasAttr(attribute) and (ent.getValue(attribute) == tested_value):
             break
@@ -786,19 +666,19 @@ def test_check_repl_M2_to_M1(topology, moddn_setup):
         time.sleep(1)
         loop += 1
     assert loop < 10
-    topology.master1.log.info("Update %s (%s) replicated on M1" % (dn, attribute))
+    topology_m2.ms["master1"].log.info("Update %s (%s) replicated on M1" % (dn, attribute))
 
 
-def test_moddn_staging_prod_except(topology, moddn_setup):
+def test_moddn_staging_prod_except(topology_m2, moddn_setup):
     """This test case MOVE entry NEW_ACCOUNT13 from staging to prod
     but fails to move entry NEW_ACCOUNT14 from staging to prod_except
     """
 
-    topology.master1.log.info("\n\n######## MOVE staging -> Prod (13) ########\n")
-    _bind_normal(topology)
+    topology_m2.ms["master1"].log.info("\n\n######## MOVE staging -> Prod (13) ########\n")
+    _bind_normal(topology_m2)
 
     old_rdn = "cn=%s13" % NEW_ACCOUNT
-    old_dn  = "%s,%s" % (old_rdn, STAGING_DN)
+    old_dn = "%s,%s" % (old_rdn, STAGING_DN)
     new_rdn = old_rdn
     new_superior = PRODUCTION_DN
 
